.side-bar {
  @import '../../../themes/variables/color';
  @import '../../../themes/variables/font';
  @import '../../../themes/mixins/text';
  @import '../../../themes/mixins/utils';

  $nav-height: 100vh;
  $nav-header-height: 14.361rem + 9.64rem;

  display: flex;

  flex-direction: column;
  align-items: center;
  justify-content: space-between;

  /* background-color: silver; */

  @include fixed-size(30rem);

  min-height: $nav-height;
  max-height: $nav-height;

  .nav-header {
    display: flex;
    align-items: flex-end;
    justify-content: center;

    width: 100%;
    min-height: $nav-header-height;
    max-height: $nav-header-height;

    > a {
      display: block;
      margin-top: 9.64rem;
    }

    .e-logo {
      width: 20rem;
      height: auto;

      object-fit: contain;
    }
  }

  .nav-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;

    width: 100%;
    min-height: calc(100vh - #{$nav-header-height});
    max-height: calc(100vh - #{$nav-header-height});
    overflow: hidden;

    .nav-body {
      transform: translateY(18.5%);
      margin-right: auto;
      margin-left: auto;

      @include fit-content();

      .menu-item {
        display: block;
        margin-bottom: $nav-height * 0.03;

        text-align: center;

        &:hover,
        &.active {
          //
        }

        .menu-label {
          position: relative;

          &:hover,
          &.active {
            &:after {
              display: block;
              position: absolute;
              bottom: 0;
              transform: translateX(10%);

              border-bottom: 0.1rem solid $brown-1;
              width: 80%;
              height: 0.1rem;
              content: ' ';
            }
          }
        }

        &:last-child {
          margin-bottom: initial;
        }

        .menu-label {
          @include word-wrap(20rem);

          min-height: 2.8rem;

          color: $blue-1;
          font-family: $title-font;
          font-size: 2rem;
          line-height: 1.2;
        }
      }
    }
  }
}
